Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Autodesk Vault
  Makro nur im Bauteil ausführen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Makro nur im Bauteil ausführen (108 mal gelesen)
Kath878
Mitglied
Konstrukteur

Sehen Sie sich das Profil von Kath878 an!   Senden Sie eine Private Message an Kath878  Schreiben Sie einen Gästebucheintrag für Kath878

Beiträge: 9
Registriert: 31.08.2018

Inventor 2013, Vault 2013

erstellt am: 16. Mai. 2022 12:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebes Forum,

kann mir jemand helfen, diesen Code anzupassen? Es funktioniert sehr gut, jedoch möchte ich, dass dieser nur in der Baugruppe ausgeführt wird, nicht beim Speichern einer Datei. Da kommt immer ein Fehler, weil er ein Problem hiermit hat:  Set oDoc = ThisApplication.ActiveDocument
Meine VBA-Kenntisse sind leider nicht besonders.

Public Sub BOMSort()
  ' Set a reference to the assembly document.
    ' This assumes an assembly document is active__Setzen Sie einen Verweis auf das Baugruppendokument.
    ' Dies setzt voraus, dass ein Baugruppendokument aktiv ist.
    Dim oDoc As AssemblyDocument
    Set oDoc = ThisApplication.ActiveDocument

    ' Set a reference to the BOM___Setzen Sie einen Verweis auf die Stückliste
    Dim oBOM As BOM
    Set oBOM = oDoc.ComponentDefinition.BOM

  Dim FirstLevelOnly As Boolean
         
    'If MsgBox("First level only?", vbYesNo) = vbYes Then
    '    FirstLevelOnly = True
    ' Else
    '    FirstLevelOnly = False
    ' End If


    ' Make sure that the structured view is enabled___Stellen Sie sicher, dass die strukturierte Ansicht aktiviert ist.
    oBOM.StructuredViewEnabled = True

' Set a reference to the "Structured" BOMView___Setzen Sie einen Verweis auf die „Structured“ BOMView
    Dim oStructuredBOMView As BOMView
    Set oStructuredBOMView = oBOM.BOMViews.Item("Strukturiert")
 
    Call oStructuredBOMView.Sort("Bauteilnummer")
    Call oStructuredBOMView.Renumber(1, 1)

' Set a reference to the "onlyParts" BOMView__Setzen Sie einen Verweis auf die BOMView "onlyParts".
    Dim oonlyPartsBOMView As BOMView
    Set oonlyPartsBOMView = oBOM.BOMViews.Item("nur Bauteile")
 
    Call oonlyPartsBOMView.Sort("Bauteilnummer")
    Call oonlyPartsBOMView.Renumber(1, 1)
   
End Sub


Danke

------------------
Gruß Kathrin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 514
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 16. Mai. 2022 14:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Kath878 10 Unities + Antwort hilfreich

ein Fred sollte reichen ...
Das Thema im Forum Inventor VBA
dort mit Lösung

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kath878
Mitglied
Konstrukteur

Sehen Sie sich das Profil von Kath878 an!   Senden Sie eine Private Message an Kath878  Schreiben Sie einen Gästebucheintrag für Kath878

Beiträge: 9
Registriert: 31.08.2018

Inventor 2013, Vault 2013

erstellt am: 16. Mai. 2022 14:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Sorry hatte mich im Forum vertan und wollte diesen eigentlich löschen, was aber leider nicht ging

------------------
Gruß Kathrin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz